class RoleModel {
  int? id;
  String? createdAt;
  String? updatedAt;
  String? name;
  String? value;
  String? remark;
  int? status;

  RoleModel(
      {this.id,
      this.createdAt,
      this.updatedAt,
      this.name,
      this.value,
      this.remark,
      this.status});

  RoleModel.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createdAt = json['createdAt'];
    updatedAt = json['updatedAt'];
    name = json['name'];
    value = json['value'];
    remark = json['remark'];
    status = json['status'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['id'] = id;
    data['createdAt'] = createdAt;
    data['updatedAt'] = updatedAt;
    data['name'] = name;
    data['value'] = value;
    data['remark'] = remark;
    data['status'] = status;
    return data;
  }
}
